List and search agents
No key required to see public agents. With a key holding agents:read, the results also include the account’s own private agents.
curl --request GET \
--url https://api.guild.ai/v1/agents \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.guild.ai/v1/agents"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.guild.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.guild.ai/v1/agents")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"creator": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"last_updated_by": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
}
],
"pagination": {
"total_count": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": "<string>",
"message": "<string>"
}Authorizations
API key: key id as the username, secret as the password. An account API key carries the same scopes as an OAuth token and is checked against the scopes listed under oauth2 on each operation. A trigger API key is limited to its trigger's workspace and reaches only the session operations that list this scheme alongside the oauth2 scopes.
Query Parameters
Column name to sort by; prefix with '-' for descending order.
Maximum number of items to return.
0 <= x <= 500Number of items to skip before returning results.
0 <= x <= 9223372036854776000Words to match in name or description
Owning user or organization, by name or ID. Omit for every agent you can see.
Filter the list to items created, maintained, or authored by the specified user.
curl --request GET \
--url https://api.guild.ai/v1/agents \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.guild.ai/v1/agents"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.guild.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.guild.ai/v1/agents")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"agent_type": "GUILD_TYPESCRIPT",
"description": "<string>",
"is_public": true,
"name": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cached_forks_count": 123,
"cached_installs_count": 123,
"cached_likes_count": 123,
"is_pinned": true,
"moderation_state": "ACTIVE",
"status": "CREATED",
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_url": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_template": "LLM",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forked_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_description": "<string>",
"maintainer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_by": "<unknown>",
"category": "<unknown>",
"creator": "<unknown>",
"forks_count": 123,
"full_name": "<string>",
"git_url": "<string>",
"installs_count": 123,
"is_description_autogenerated": "<unknown>",
"last_updated_by": "<unknown>",
"latest_published_version": "<unknown>",
"latest_version": "<unknown>",
"likes_count": 123,
"maintainer": {},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"email_domain": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"threads_url": "<string>",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"member_count": "<unknown>",
"viewer_membership_id": "<unknown>",
"viewer_membership_public": "<unknown>",
"viewer_role": "ADMIN",
"type": "organization"
},
"public_profile_url": "<unknown>",
"type": "<unknown>",
"viewer_can_edit": true
}
],
"pagination": {
"total_count": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": "<string>",
"message": "<string>"
}